Wallet
Fund Business Test Wallet
Credit a test wallet for sandbox and internal testing flows.
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/wallet/fund-wallet" \ -H "Content-Type: application/json" \ -d '{ "business_id": "be255914-16ff-454f-bda1-dc60b0f70c30", "account_number": "1234567890", "amount": 1000 }'{
"requestId": "abcd1234-5678-90ef-ghij-1234567890kl",
"requestTimestamp": "2025-07-16 09:15:00",
"message": "Wallet funded successfully",
"statusCode": 200
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "VirtualAccount not found.",
"statusCode": 400
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "Unauthenticated.",
"statusCode": 401
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "The given data was invalid.",
"errors": {
"business_id": [
"The business_id field is required."
]
},
"statusCode": 422
}{
"requestId": "f006ad7b-096c-4254-8c7e-2d23a55b0b0e",
"requestTimestamp": "2025-09-04 11:49:40",
"message": "An error occurred while processing your request.",
"statusCode": 500
}How is this guide?